Bug 1826481 - OperatorHub: [Operator in Manual Approval] Upgrade available, but awaiting approval has misleading Status value of "Upgrading"
Summary: OperatorHub: [Operator in Manual Approval] Upgrade available, but awaiting ap...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.6.0
Assignee: Jon Jackson
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-21 18:56 UTC by bpeterse
Modified: 2020-10-27 15:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Operator status display values did not account for manual approval strategy. Consequence: The 'upgrade available' status was displayed, which did not convey that further action was required in order to upgrade. Fix: Add a new status message/action for Operators which are waiting for manual approval to upgrade. Result: User can clearly tell when an operator upgrade requires further action.
Clone Of:
Environment:
Last Closed: 2020-10-27 15:58:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 5486 0 None closed Bug 1826481: Fix confusing subscription status for manual approve 2020-10-10 07:05:38 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 15:58:41 UTC

Description bpeterse 2020-04-21 18:56:56 UTC
Bug migrated from Jira & Github Issue:
- https://issues.redhat.com/browse/CONSOLE-2195
- https://github.com/openshift/console/issues/5063

Problem:
When an Operator has a manual approval strategy and is able to be installed or upgraded, this isn't particularly apparent to the user since the Installed Operator list view for that operator:

    "Initial installation" case:
    The "Installed Operators" list view shows "UpgradePending" status
    "New Operator version available" case:
    The "Installed Operators" list view shows "Upgrading" status

It needs to be more apparent in the list view that "user intervention is needed" to upgrade this Operator.

Background:
The console could be displaying "UpgradeAvailable" instead of "UpgradePending" (<-- the current Subscription object `status.state`) when the `spec.installPlanApproval` is set to `Manual`.
--> See related issue OLM-849

Comment 1 bpeterse 2020-04-21 19:00:26 UTC
We can consider backporting this one.

Comment 3 Jon Jackson 2020-05-07 19:17:57 UTC
Still looking into this. Will address in an upcoming sprint.

Comment 4 Peter Kreuser 2020-05-13 21:06:52 UTC
UX design for this bug seen here: https://docs.google.com/document/d/1SGS314oxVigBbx8V_sp6MvIO_s5KBOEFNEYjpjtIFTo/edit?usp=sharing

Comment 5 bpeterse 2020-05-18 15:23:33 UTC
Can we make this clearer without needing redesign?  Perhaps we can come back on the design elements in 4.6.

Comment 6 Peter Kreuser 2020-05-18 18:51:47 UTC
The "UX design" is really just changing two statuses (one on the list view and one in subscription details) from "UpgradePending"/"Upgrading" -> "Upgrade Available", with that status also being a link to the InstallPlan. Let me know if we need to rework that for 4.5.

Comment 7 bpeterse 2020-05-26 15:21:24 UTC
PR is open, but this is not a new issue, I don't believe it should be a 4.5 blocker.

Comment 12 Yanping Zhang 2020-06-04 09:10:04 UTC
Checked on ocp 4.6 cluster with payload 4.6.0-0.ci-2020-06-04-011434
Install a operator in project, eg "Akka Cluster Operator", when install, choose "Manual" Approval Strategy, click "Install".
On installed operator page, could see status "Upgrade available", click on it, will go to intall plan detail page, click "Preview Install Plan", user could choose "Approve" or "Deny".
The bug is fixed.

Comment 14 errata-xmlrpc 2020-10-27 15:58:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.